Loading...
Searching...
No Matches
BALL::MolecularInformation Class Reference
Foundation Classes » Concepts » Object Persistence.

`#include <BALL/CONCEPT/molecularInformation.h>`

Inheritance diagram for BALL::MolecularInformation:

## Public Types

Enums
enum | Type { TYPE__UNKNOWN = -1 , TYPE__SYSTEM = 0 , TYPE__PROTEIN = 1 , TYPE__MOLECULE = 2 , TYPE__CHAIN = 3 , TYPE__FRAGMENT = 4 , TYPE__RESIDUE = 5 , TYPE__SECONDARY_STRUCTURE = 6 , TYPE__ATOM = 7 , TYPE__BOND = 8 }

## Public Member Functions

Constructors and Destructors
| MolecularInformation ()
virtual | ~MolecularInformation ()
virtual void | clear ()
Public Member Functions inherited from BALL::Visitor< Composite >
| Visitor ()
virtual | ~Visitor ()
virtual void | dummy ()

## Accessors: inspectors and mutators

Type | getType () const
String | getName () const
String | getTypeName () const
virtual void | visit (Composite &composite)

## Detailed Description

MolecularInformation class. This class is used by the class MolecularControl to retrieve names and types of the displayed Composite objects.

Definition at line 21 of file molecularInformation.h.

## Member Enumeration Documentation

## Type

enum BALL::MolecularInformation::Type

Type. This types are possible.

Enumerator
TYPE__UNKNOWN | Unkown type. This value will be set in clear.
TYPE__SYSTEM | System type.
TYPE__PROTEIN | Protein type.
TYPE__MOLECULE | Molecule type.
TYPE__CHAIN | Chain type.
TYPE__FRAGMENT | Fragment type.
TYPE__RESIDUE | Residue type.
TYPE__SECONDARY_STRUCTURE | SecondaryStructure type.
TYPE__ATOM | Atom type.
TYPE__BOND | Bond type.

Definition at line 32 of file molecularInformation.h.

## Constructor & Destructor Documentation

## MolecularInformation()

BALL::MolecularInformation::MolecularInformation | ( |  | ) |

Default Constructor. Calls clear.

## ~MolecularInformation()

virtual BALL::MolecularInformation::~MolecularInformation | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::MolecularInformation::clear | ( |  | ) |

virtual

Explicit default initialization. Reset the state of this moleculareInformation to: Calls Information::clear.

- type is set to TYPE__UNKNOWN

## getName()

String BALL::MolecularInformation::getName | ( |  | ) | const

inline

Definition at line 104 of file molecularInformation.h.

## getType()

Type BALL::MolecularInformation::getType | ( |  | ) | const

inline

Return the type of the given composite. If the given Composite is of any kind that is defined by the enumeration Type this type will be returned.

Returns
  Type the type of the Composite

See also
  Type
  visit

Definition at line 101 of file molecularInformation.h.

## getTypeName()

String BALL::MolecularInformation::getTypeName | ( |  | ) | const

inline

Definition at line 107 of file molecularInformation.h.

## visit()

virtual void BALL::MolecularInformation::visit | ( | Composite & | composite | ) |

virtual

Visit method. This method tries to determine the name and the type of the Composite object. If the type of composite returned from the method getType is one of the defined type of Type than that name and type is set to the variables name_ and type_name_. If the type is TYPE__UNKOWN than the method getType is called to determine the type.

Parameters

  composite | the Composite object whose information should be extracted

See also
  getType

Implements BALL::Visitor< Composite >.